> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Tenant L2 Interface



## OpenAPI

````yaml /openapi.json get /service/{tenant_name}/l2
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /service/{tenant_name}/l2:
    get:
      tags:
        - service - l2_interface
      summary: Get All Tenant L2 Interface
      operationId: get_all_tenant_l2_interface_service__tenant_name__l2_get
      parameters:
        - name: tenant_name
          in: path
          required: true
          schema:
            title: Tenant Name
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ItemsList_NBInterfaceTenantResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    ItemsList_NBInterfaceTenantResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/NBInterfaceTenantResponse'
          type: array
          title: Items
        count:
          type: integer
          title: Count
          default: 0
        total_count:
          type: integer
          title: Total Count
          default: 0
      type: object
      required:
        - items
      title: ItemsList[NBInterfaceTenantResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NBInterfaceTenantResponse:
      properties:
        id:
          type: integer
          title: Id
        mtu:
          type: integer
          title: Mtu
          default: 9220
        name:
          type: string
          title: Name
        operational_state:
          anyOf:
            - $ref: '#/components/schemas/InterfaceState'
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
        virtual_interface_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Virtual Interface Id
        virtual_interface_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Virtual Interface Name
        trunk:
          type: boolean
          title: Trunk
          default: false
        parent:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent
        vlan_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Vlan Id
        labels:
          anyOf:
            - $ref: '#/components/schemas/L2Labels'
            - type: 'null'
      type: object
      required:
        - id
        - name
      title: NBInterfaceTenantResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    InterfaceState:
      type: string
      enum:
        - up
        - down
      title: InterfaceState
    L2Labels:
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      title: L2Labels
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````